package com.atlassian.bitbucket.mesh.git.builder.diff;

import javax.annotation.Nonnull;

public interface GitDiffTreeBuilder extends GitDiffCoreBuilder<GitDiffTreeBuilder> {

    @Nonnull
    GitDiffTreeBuilder always(boolean value);

    @Nonnull
    GitDiffTreeBuilder format(String value);

    @Nonnull
    GitDiffTreeBuilder merges(boolean value);

    @Nonnull
    GitDiffTreeBuilder recursive(boolean value);

    @Nonnull
    GitDiffTreeBuilder root(boolean value);

    @Nonnull
    GitDiffTreeBuilder stdin(boolean value);
}
